  subroutine f_initstep(lb,ub,s, &
        params,anm,an,anp,bnm,bn,bnp,cnm,cn,cnp,dnm,dn,dnp,phim, &
     phi,phip,temp)
  use tensors
  use input_params
  use initstep_i !F90 interface blok for initstep
  implicit none
  integer, dimension(3)         :: lb,ub,s
  real*8, dimension(s(1),s(2),s(3)), target :: & 
        anm,an,anp,bnm,bn,bnp,cnm,cn,cnp,dnm,dn,dnp,phim,phi,phip, &
     temp 
  real*8,dimension(100) :: params
   
   
  real*8 h,dt
  h=params(98)
  dt=params(99)

  params(P_LOCAL_LOWER_X)=lb(1)
  params(P_LOCAL_LOWER_Y)=lb(2)
  params(P_LOCAL_LOWER_Z)=lb(3)
  params(P_LOCAL_UPPER_X)=ub(1)
  params(P_LOCAL_UPPER_Y)=ub(2)
  params(P_LOCAL_UPPER_Z)=ub(3)

  call initstep(params,anm,an,anp,bnm,bn,bnp,cnm,cn,cnp,dnm, &
     dn,dnp,phim,phi,phip,temp)
  return
  end
